<dx-scroll-view height='100%'>
    <dx-form [colCount]="1" [formData]='agencyData' [showValidationSummary]="false" validationGroup="agencyValidation" labelLocation="left">

        <dxi-item [colSpan]="1" [colCount]='1' [label]="{text: 'Denumire'}" dataField="name" editorType="dxTextBox"
            [editorOptions]="{}">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>

        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: 'Judet'}" dataField="countyId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsCounty, valueExpr: 'id', displayExpr: 'name', onValueChanged: onCountyChange }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Localitate'}" dataField="localityId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsLocality, valueExpr: 'id',  deferRendering: false,  displayExpr: 'name', onInitialized: onLocalityInit }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item [colSpan]="1" [colCount]='1' [label]="{text: 'Adresa'}" dataField="address" editorType="dxTextBox"
            [editorOptions]="{}">
        </dxi-item>
        <dxi-item [colSpan]="1" [colCount]='1' [label]="{text: 'Contact'}" dataField="contactInfo" editorType="dxTextBox"
            [editorOptions]="{}">
        </dxi-item>
    </dx-form>
</dx-scroll-view>